html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}
.btn-white {
  background-color: white;
} 
.gray-border{

}
.flex{display:flex;}
.flex-column{display:flex; flex-direction:column;}
.flex-row{display:flex;flex-direction:row;}
.flex-grow{flex-grow:1;}
.flex-shrink{flex-shrink:1;}
.flex-space-between{
    display:flex;
    justify-content:space-between;
}
.align-self-flex-end{align-self:flex-end}
.grid-column-fr-auto{
    display:grid;
    grid-template-columns: 1fr auto;
}
.grid-row-fr-auto {
    display: grid;
    grid-template-rows: 1fr auto;
}
html {
  position: relative;
}
html, body, main, .container {
    height: 100%;
}
body {
  margin-bottom: 60px;
  margin:0;
  padding:0;
}

.no-left-padding {
    padding-left: 0 !important;
} 

#myMap{
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
}

.lbl-style{
    background-color: #fbf5f5;
    color: #fcf7f7;
    border:none ;
    
}
.btn-style {
    border: none;
}

.no-underline{
    text-decoration:none;
}

.form-check-input:focus{
    box-shadow:none;
    outline:none;
}


.form-control::placeholder{
    font-size: 0.8em;

}

.search-header{
    display:flex;
    align-items:center;
}

ul{
    list-style-type :none;
    padding-left : 0;
}

li{
    margin-bottom: 1em;
}


.result-header .small-label{
    font-size: 0.6rem;
    margin-bottom:0;
}

.result-header .form-check {
    display: flex;
    align-items: center;
    margin: 0;
    padding:0;
}

.result-header .form-check-input {
    margin-left: 0;
}

.result-header .form-check-label {
    margin: 0;
    font-size: 0.6rem;
    padding-right: 0.5rem;
   
}


.small-text {
    font-size: 0.8rem;
}



.result-header .switch-container {
    display: flex;
    align-items: center;
    margin: 0;
    padding: 0;
}



.result-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom:0;
    padding:0;
}
.result-header h6{
    margin: 0;
} 

.modal-open .modal {
    display: block;
    background: rgba(0, 0, 0, 0.5); /* Dark background */
}


.center-align {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}


#AdminConfigTbl input[type="checkbox"][disabled] {
    background-color: grey;
    border-color: grey;
    opacity: 0.5;
}

#UserAdminsTbl input[type="checkbox"][disabled] {
    background-color: grey;
    border-color: grey;
    opacity: 0.5;
}



.modal-header .close {
    position: absolute;
    right: 15px;
    top: 15px;
    z-index: 1;
}


#officeImagesContainer {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}



.office-image {
    border: 1px solid #ccc;
    padding: 10px;
    width: 200px;
}



.office-box {
    display: flex;
    align-items: flex-start;
}



.out-of-area-container {
    display: flex;
    align-items: flex-start;
    flex-wrap: nowrap;
    overflow-x: auto;
    border: 1px solid #ccc;
    padding: 10px;
    background-color: #f9f9f9;
    padding-bottom : 20px;
    /*display:none;*/
}

.out-of-area-image {
    width: 100px;
    height: 100px;
    margin-right: 10px;
    cursor: pointer;
    border: 2px solid transparent;
    flex-shrink:0;
}

.out-of-area-image.selected {
        border-color: blue;
    }

.office-details {
    margin-left: 5px;
    padding-right :5px;
    display: none; /* Hidden by default */
}

.office-details.visible {
        display: block;
}

.no-focus {
    pointer-events: none;
    background-color: #f5f5f5; 
}

body, html {
    overflow-x: hidden;
}

::placeholder {
    color: gray;
    opacity: .7; /* Firefox */
    font-size:.8em;
}

option {
    color: var(--bs-body-color);
    opacity:.9;
}
select {
    color: var(--bs-body-color);
    opacity: .65;
}

::-ms-input-placeholder { /* Edge 12 -18 */
    color: lightgray;
    font-size: .8em;
}
.my-control {
    display: flex;
    font-size: .8em;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    background-color: var(--bs-body-bg);
    border: var(--bs-border-width) solid var(--bs-border-color);
    color: var(--bs-body-color);
    font-size: 1rem;
    font-weight: 400;
    padding: 0.375rem 0.75rem;
    border-radius: 0.375rem;
    line-height: 1.5;
    margin-bottom: 0.5rem;
}
.inline-control{
    border-right:none;
    border-top-right-radius:0;
    border-bottom-right-radius:0;
    flex-grow:1;
}
.inline-control-container{
    display:flex;
    flex-direction:row;
}

.inline-icon-button {
    background-color: #fff;
    border: none;
    color: #000;
    border-top: var(--bs-border-width) solid var(--bs-border-color);
    border-bottom: var(--bs-border-width) solid var(--bs-border-color);
    height: 38px;
    width: 40px;
    color: var(--bs-border-color);
}

.inline-icon-button:hover {
    background-color: #CDCDCD;
}

.inline-icon-button-end {
    border-right: var(--bs-border-width) solid var(--bs-border-color);
    border-top-right-radius: 0.375rem;
    border-bottom-right-radius: 0.375rem;
}

.content-area {
    width: 100%;
    overflow-y: auto; 
    overflow-x: hidden; 
}

.toggle-arrow {
    cursor: pointer;
    display: inline-block;
    width: 5px;
    height: 5px;
    border-right: 2px solid grey;
    border-bottom: 2px solid grey;
    transform: rotate(-45deg);
    margin-right: 5px;
    transition: transform 0.3s;
}

.rotate-90 {
    transform: rotate(45deg);
}

.hidden {
    display: none;
}

/* for ipad mini device*/
@media (min-width: 768px) and (max-device-width: 1024px) {
    .col-md-9 {
        flex: 0 0 auto;
        width: 100%;
    }

    .col-md-3 {
        width: 60%;
        justify-content:center;
        align-items:center;
        padding-left: 40px;
        padding-right: 0;
    }
}

button:disabled{
    cursor:not-allowed;
}
.app-name{
    margin-left:20px;
}
.navbar-brand-icon .logo {
    height: 30px;
    width: 30px;
    margin: 5px;
    margin-right: 20px;
}
.fa-crosshairs {
    color: var(--bs-body-color);
    opacity:.65
}

.my-control.inline-control::placeholder {
    color: var(--bs-body-color);
    opacity: .65;
    font-size: .8em;
}
h2{
    font-size:1.3em;
}

.navbar-header{
    font-size:1.1em;
    color:#FFFFFF;
}
.pr-0{
        padding-right:0 !important;
}

.pt-25{
        padding-top:25px !important;
}

.pb-25{
        padding-bottom:25px !important;
}
.pl-15 {
    padding-left: 15px !important;
}
.pl-0{
        padding-left:0 !important;
}
.m-0{
        margin:0 !important;
}
.mr-0{
        margin-right:0 !important;
}
.ml-0{
        margin-left:0 !important;
}
.mt-0{
        margin-top:0 !important;
}

@media screen and (max-width: 786px) {
    #mapContainer {
        max-height: 30%;
        overflow: hidden;
    }

    #search-results{
        max-height:50%;
        overflow:hidden;
        overflow-y:scroll;
    }
}